body {
	--fsAddBuffer: 22px;
}
[id='chosic_leaderboard_atf'],
[id='chosic_medrec_atf'],
[id='chosic_incontent_1'],
[id='chosic_incontent_2'],
[id='chosic_incontent_3'],
[id='chosic_incontent_4'],
[id='chosic_rail_left'],
[id='chosic_rail_right'],
[id='chosic_leaderboard_btf'],
[id='chosic_leaderboard_mid'],
[id='chosic_new_incontent_1'],
[id='chosic_free_music_top'],
[id='chosic_incontent_dynamic_iai'],
[id='chosic_tracklist_dynamic_iai'],
[id='chosic_popularsongs_dynamic_iai'] {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	min-height: calc(var(--height) + var(--fsAddBuffer));
	height: calc(var(--height) + var(--fsAddBuffer));
	width: 100%;
}
[id='chosic_free_music_top'] {
		--height: 280px;
}
[id='chosic_incontent_1'] {
		--height: 280px;
}
[id='chosic_incontent_2'] {
		--height: 280px;
}
[id='chosic_incontent_3'] {
		--height: 280px;
}
[id='chosic_incontent_4'] {
		--height: 280px;
}
[id='chosic_incontent_dynamic_iai'] {
		--height: 280px;
}
[id='chosic_leaderboard_atf'] {
		--height: 100px;
}
[id='chosic_leaderboard_btf'] {
		--height: 280px;
}
[id='chosic_leaderboard_mid'] {
		--height: 100px;
}
[id='chosic_new_incontent_1'] {
		--height: 280px;
}
[id='chosic_popularsongs_dynamic_iai'] {
		--height: 280px;
}
[id='chosic_tracklist_dynamic_iai'] {
		--height: 280px;
}
@media only screen and (min-width: 768px) {
	[id='chosic_free_music_top'] {
		--height: 280px;
	}
	[id='chosic_incontent_1'] {
		--height: 280px;
	}
	[id='chosic_incontent_2'] {
		--height: 280px;
	}
	[id='chosic_incontent_3'] {
		--height: 280px;
	}
	[id='chosic_incontent_4'] {
		--height: 280px;
	}
	[id='chosic_incontent_dynamic_iai'] {
		--height: 280px;
	}
	[id='chosic_leaderboard_atf'] {
		--height: 100px;
	}
	[id='chosic_leaderboard_btf'] {
		--height: 250px;
	}
	[id='chosic_leaderboard_mid'] {
		--height: 90px;
	}
	[id='chosic_medrec_atf'] {
		--height: 280px;
	}
	[id='chosic_new_incontent_1'] {
		--height: 280px;
	}
	[id='chosic_popularsongs_dynamic_iai'] {
		--height: 280px;
	}
	[id='chosic_rail_left'] {
		--height: 600px;
	}
	[id='chosic_rail_right'] {
		--height: 600px;
	}
	[id='chosic_tracklist_dynamic_iai'] {
		--height: 280px;
	}
}
@media only screen and (min-width: 970px) {
	[id='chosic_leaderboard_atf'] {
		--height: 100px;
	}
	[id='chosic_leaderboard_btf'] {
		--height: 250px;
	}
}
@media only screen and (min-width: 1024px) {
	[id='chosic_rail_left'] {
		--height: 600px;
	}
	[id='chosic_rail_right'] {
		--height: 600px;
	}
}
